/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include<stdio.h>
#include<signal.h>

void func(int sig) {
   printf("sig in func() = %d\n", sig);
} 

int main() {
  void (*signal (int sig, void (*disp)(int)))(int);
  void (*fptr)(int);

  fptr = signal(SIGTERM, func);
  printf("fptr = %p\n", fptr);
  raise(SIGTERM);
}
